package GUI;


  
import java.util.Observable;   
import java.util.Observer;   
  
  
public class ClasseProcesso   
    extends Observable   
    implements Runnable {   
  
    /**  
     * Construtor que recebe um objeto que ir observa-lo  
     * @param observador Objeto que ir acompanhar as mudanas deste objeto  
     */  
    public ClasseProcesso(Observer observador) {   
        //Adiciona o objeto observador a lista de observadores   
        addObserver(observador);   
        //...outras inicializaes   
    }   
       
    /**  
     * Ponto de entrada da Thread.  
     * @see java.lang.Runnable#run()  
     */  
    public void run() {   
        int i;   
        for(i=0; i<= JanelaDownload.getTAM_PROCESSO(); i++) {   
            //Notifica o processamento a cada 10 iteraes   
            if((i % 10 == 0)) {   
                notifyObservers(new Integer(i));   
                setChanged();   
            }   
        }   
           
        //Notifica fim do processo   
        notifyObservers(new Boolean(true));   
        setChanged();    
    }   
  
} 