package GUI;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JMenuItem;

import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;


import javax.swing.JTextField;

import pacoteCliente.Cliente;



public class Entrada extends JFrame {


	private JButton enviar;
	public JTextField login;
	private JLabel labelLogin;
	private JLabel labelFoto;
	private ImageIcon imagem;
	private JMenuBar barraPrincipal;
	private JMenu cadastra;
	private JMenuItem cadastramento;
	public String nomeUsuario;
	public Janela_Chat janela_Chat;
	public boolean existeLogin;
	public JLabel labelErro;
	Cliente cliente;





	public Entrada(){

		this.existeLogin = false;
		this.inicializando();
		this.setando();
		this.adicionar();
		this.setSize(400, 400);
		this.setLocationRelativeTo(null);  
		this.setLayout(null);
		this.setDefaultCloseOperation(EXIT_ON_CLOSE);
		this.setVisible(true); 
		this.cliente = null;


	}

	public void setCliente(Cliente cliente){
		this.cliente = cliente;
	}

	void inicializando(){
		this.labelLogin = new JLabel("Digite o login:");
		this.login = new JTextField();
		this.enviar= new JButton("Enviar");
		this.imagem = new ImageIcon("imagem2.jpg");
		this.labelFoto = new JLabel();
		this.labelFoto.setIcon(this.imagem);
		this.labelErro = new JLabel("Login no cadastrado.");

		this.barraPrincipal = new JMenuBar();
		this.cadastra = new JMenu("cadastrar");

		this.barraPrincipal = new JMenuBar();
		this.cadastra = new JMenu("cadastrar");
		this.barraPrincipal.add(this.cadastra);
		this.cadastramento = new JMenuItem("Novo Login");
		this.cadastra.add(cadastramento);

		this.login.addKeyListener(new Enter());


	}

	void setando(){


		this.labelFoto.setBounds(150, 60, 100, 100);
		this.labelLogin.setBounds(150, 165, 100, 20);
		this.labelErro.setBounds(150, 250, 100, 25);
		this.labelErro.setVisible(false);
		this.login.setBounds(150, 190, 100, 20);
		this.enviar.setBounds(150,220, 100,20);
		this.enviar.addActionListener(new BotaoEnviar());
		this.barraPrincipal.setBounds(0,0,400,20);
	}

	void adicionar(){


		this.add(this.login);
		this.add(this.enviar);
		this.add(this.labelLogin);
		this.add(this.labelFoto);
		this.add(this.barraPrincipal);


	}



	private class BotaoEnviar implements ActionListener{

		public void actionPerformed(ActionEvent arg0) {
			nomeUsuario = login.getText();
			janela_Chat = new Janela_Chat(nomeUsuario);
			janela_Chat.setCliente(cliente);
			cliente.rodar();
			setVisible(false);
			System.out.println(nomeUsuario);
			existeLogin = true;
		}
	}
	private class Enter implements KeyListener{

		public void keyPressed(KeyEvent e) {
			if(e.getKeyCode() == KeyEvent.VK_ENTER){
				nomeUsuario = login.getText();
				janela_Chat = new Janela_Chat(nomeUsuario);
				janela_Chat.setCliente(cliente);
				cliente.rodar();
				
				setVisible(false);
				System.out.println(nomeUsuario);
				existeLogin = true;

			}
		}
		public void keyReleased(KeyEvent arg0) {
			// TODO Auto-generated method stub

		}

		public void keyTyped(KeyEvent arg0) {
			// TODO Auto-generated method stub
		}
	}

	/*public String  getLogin(){
		String retorno = "";
		while(!existeLogin){
			retorno = nomeUsuario;
		}
		existeLogin = false;
		return retorno;
	}*/
	
	public void escreverNaTela(String nome,String frase){
		this.janela_Chat.escreverNaTela(nome,frase);

	}
	public void escreverLogins(String[] logins){
		this.janela_Chat.escreverLogin(logins);
	}
}
