package pacoteCliente;

import java.io.*;

public class ThreadAtualizar extends Thread {

	Cliente cliente;
	BufferedReader entradaServidor;
	DataOutputStream saidaServidor;
	
	public ThreadAtualizar(Cliente cliente,BufferedReader entradaServidor,DataOutputStream saidaServidor){
		this.cliente = cliente;
		this.entradaServidor = entradaServidor;
		this.saidaServidor = saidaServidor;
		start();
	}
	
	public void run(){
		while(true){
			try {
				int ping = entradaServidor.read();
				//respondendo ao ping
				saidaServidor.write(ping);

				//pegando o numero de clientes conectados.
				int numConectados = entradaServidor.read();
				//pegando lista dos clientes conectados
				Usuario[] temp = new Usuario[numConectados];
				String[] logins = new String[numConectados];
				for(int i = 0; i < numConectados; i++){
					String valores = entradaServidor.readLine();
					String[] infoUsuarios = valores.split("#");//infoUsuarios = NOME # HOST;
					int portaChat = entradaServidor.read();
					int portaDados = entradaServidor.read();
					int portaControle = entradaServidor.read();
					/*
					boolean existe = cliente.getRepConexoes().existeConexao(infoUsuarios[0]);
					if(!existe)
					cliente.getRepConexoes().adicionarNovaConexao(infoUsuarios[0],
							infoUsuarios[1],portaChat,portaDados, cliente);
					*/
					temp[i] = new Usuario(infoUsuarios[0],portaChat,portaDados, portaControle);
					temp[i].setHost(infoUsuarios[1]);
					logins[i] = infoUsuarios[0];
					
				}
				this.cliente.setRepUsuarios(temp);
				this.cliente.getRepConexoes().atualizar(temp);
				this.cliente.escreverLogin(logins);
				
			} catch (Exception e) {
				System.out.println("que feio servidor, voce nao pode fazer isso!");
				System.out.println("falha na conexo");
				break;
			}
		}
	}
}
