package pacoteCliente;

import java.io.*;
import java.net.*;

public class ThreadConexaoSaida extends Thread {

	//Cliente cliente;
	String ip;
	DataOutputStream saida;
	String nome;
	int porta;
	
	public ThreadConexaoSaida(Cliente cliente,String ip,int porta){
		this.nome = cliente.getNome();
		//this.cliente = cliente;
		this.ip = ip;
		this.porta = porta;
		start();
	}
	
	public void run(){
		try {
			Socket socket = new Socket(this.ip,this.porta); 
			saida = new DataOutputStream(socket.getOutputStream());
			saida.writeBytes(this.nome+"\n");
		} catch (IOException e) {
			System.out.println("erro na thread de conexao d saida do usuario ");
			e.printStackTrace();
		} 
		/*try {
			this.wait();
		} catch (InterruptedException e) {
			System.out.println("erro no WAIT da thread de conexao d saida \n");
			e.printStackTrace();
		}*/
	}
	
	public void escrever(String frase){
		try {
			saida.writeBytes(frase+"\n");
		} catch (IOException e) {
			System.out.println("erro ao tentar mandar a frase p um cliente.");
			e.printStackTrace();
		}
	}
}
