package pacoteConexaoControle;

import java.io.*;
import java.net.InetAddress;
import java.net.Socket;

import apoio.Conversor;

public class ConexaoControleSaida {//extends Thread {

	private String ip;
	private int porta;
	private DataOutputStream saida;
	
	public ConexaoControleSaida(String ip,int porta){
		this.ip = ip;
		this.porta = porta;
		
		try {
			Socket socket = new Socket(this.ip,this.porta); 
			saida = new DataOutputStream(socket.getOutputStream());
			InetAddress myself = InetAddress.getLocalHost();
			String meuIP = myself.getHostAddress();
			saida.writeBytes(meuIP+"\n");
		} catch (IOException e) {
			System.out.println("erro na thread de conexao d saida do usuario ");
			e.printStackTrace();
		} 
		
		//start();
	}
	
	/*public void run(){
		try {
			Socket socket = new Socket(this.ip,this.porta); 
			saida = new DataOutputStream(socket.getOutputStream());
			saida.writeBytes(this.ip+"\n");
		} catch (IOException e) {
			System.out.println("erro na thread de conexao d saida do usuario ");
			e.printStackTrace();
		} 
	}*/
	
	public void mandarAck(boolean flag,int id,boolean ping,int numSeq){
		Conversor conversor = new Conversor();
		byte[] pacote = new byte[6];
		pacote[0] = conversor.conversaoFlag(flag, id);
		byte ping2 = 0;
		if(ping) ping2 = 1;
		pacote[1] = ping2;
		byte[] seq = conversor.intToByteArray(numSeq); 
		//pacote[2] = seq[3];
		System.arraycopy(seq, 0, pacote, 2, seq.length);
		
		try {
			this.saida.write(pacote);
		} catch (IOException e) {
			System.out.println("erro ao tentar mandar o pacote de controle!");
			e.printStackTrace();
		}
	}
}
