package pacoteConexaoControle;

import java.io.DataInputStream;
import java.io.IOException;

import apoio.Conversor;

import pacoteCliente.Cliente;

public class ThreadConexaoControleEntrada extends Thread {
	
	private String ip;
	private Cliente cliente;
	private DataInputStream entrada;

	public ThreadConexaoControleEntrada(Cliente cliente,String ip,DataInputStream entrada){
		this.cliente = cliente;
		this.ip = ip;
		this.entrada = entrada;
		start();
	}
	
	public void run(){
		while(true){
			byte[] pacote = new byte[6];
			try {
				if(entrada.available() != 0){
					entrada.read(pacote);
					//destrinchando o pacote..
					Conversor conv = new Conversor();
					boolean flag = conv.getFlag(pacote[0]);
					int id = conv.getIdArquivo(pacote[0]);
					boolean ping = (pacote[1] == 0x01);
					int numSeq = conv.byteArrayToInt(pacote, 2, 4);

					//TODO fazer a logica do ping p calcular o timeout
					if(ping){
						//cliente.recebeuPing();	
					} else {
						cliente.setAck(id,flag,numSeq);
					}
				}

			} catch (IOException e) {
				System.out.println(this.ip+" desconectou.");
				break;
			} 
		}
	}

}
