package pacoteEnviarDados;

import apoio.Conversor;


public class GeradorDeCabecalho {

	private int tamanho;
	private Conversor conversor;

	public GeradorDeCabecalho() {
		this.tamanho = 22;
		this.conversor = new Conversor();
	}	

	public byte[] gerar(int portaFonte,int portaDestino,String ipFonte,
			String ipDestino,int sequencia,int comprimento,boolean flag,
			int idArquivo, int tamanhoArquivo){

		byte[] retorno = new byte[tamanho];
		//retorno[0] = (byte)  0x00;
		byte[] temp;

		temp = conversor.intToByteArray(portaFonte); 
		for(int i = 0; i < 2 ; i++){
			retorno[i] = temp[2+i];
		}

		temp = conversor.intToByteArray(portaDestino);
		for(int i = 0 ; i < 2 ; i++){
			retorno[i + 2] = temp [2+i];
		}

		temp = conversor.ipStringToByte(ipFonte);
		for(int i = 0; i < 4;i++){
			retorno[i + 4] = temp[i];			
		}

		temp =  conversor.ipStringToByte(ipDestino);
		for(int i = 0; i < 4; i++){
			retorno[i + 8] = temp[i];
		}

		temp = conversor.intToByteArray(sequencia);
		for(int i = 0; i < 4; i++){
			retorno[i + 12] = temp[i]; 
		}

		temp = conversor.intToByteArray(comprimento);
		for(int i = 0; i < 4 ; i++){
			retorno[i + 16] = temp [i];
		}

		// 0 representaria dados, 1 representaria nome do arquivo
		byte flagIdArquivo = conversor.conversaoFlag(flag,idArquivo);
		retorno[20] = flagIdArquivo;

		//tamanho do arquivo
		temp = conversor.intToByteArray(tamanhoArquivo);
		retorno[21] = temp[3];
		
		return retorno;
		
		
		
		
	}

}
