package pacoteReceberDados;

import java.io.IOException;
import java.net.*;

import pacoteCliente.Cliente;

public class ThreadAtualizarBuffer extends Thread {

	private Buffer buffer;
	private int porta;
	
	public ThreadAtualizarBuffer(Cliente cliente,int porta){
		this.porta = porta;
		//this.cliente = cliente;
		this.buffer = new Buffer(64*1024,150);//buffer de 64KB, com cada pacote de tamanho 150B
		new ThreadOrganizarDados(cliente,this.buffer);
		start();
	}
	
	public void run(){
		try {
			byte[] bufferSocket = new byte[150];
			DatagramSocket serverSocket = new DatagramSocket(this.porta);
			DatagramPacket receivePacket = new DatagramPacket(bufferSocket,bufferSocket.length);
			while(true){
				serverSocket.receive(receivePacket);
				byte[] pacoteLido = receivePacket.getData();
				buffer.inserir(pacoteLido);
			}
			
			
		} catch (SocketException e) {
			System.out.println("erro na thread AtualizarBuffer..");
			e.printStackTrace();
		} catch (IOException e) {
			System.out.println("erro ao tentar pegar algo do socket");
			e.printStackTrace();
		}
	}
	
	public static void main(String[] args) {
		new ThreadAtualizarBuffer(null,5002);
	}
}
