package pacoteServidor;
import java.io.*;

import pacoteServidor.PingEAtualizar.Ping;



public class AtualizarOCliente extends Thread {

	private Ping ping;
	ConectarNovoCliente cliente;
	String nome;
	private boolean conectado;
	
	public AtualizarOCliente(Ping ping,ConectarNovoCliente cliente, String nome){
		this.ping = ping;
		this.cliente = cliente;
		this.nome = nome;
		this.
		start();
	}
	
	public void run(){
		try{
			BufferedReader entrada = this.cliente.getEntrada();
			
			if (entrada.read() == 1)	conectado = true;
			int numConectados = this.cliente.getServidor().getNumConectados(nome);
			cliente.getSaida().write(numConectados);

			Usuario[] online = this.cliente.getServidor().getListaConectados(nome);
			for(int i= 0; i < numConectados; i++){
				cliente.getSaida().writeBytes(online[i].getUser() + "#" + online[i].getHost()+"\n");
				cliente.getSaida().write(online[i].getPortaChat());
				cliente.getSaida().write(online[i].getPortaDados());
				cliente.getSaida().write(online[i].getPortaControle());
			}

			ping.setConectado(conectado); //dizendo p a classe q o chamou q ocorreu tudo bem
			synchronized(ping) {  
				ping.notify(); //acordando a classe ping (antes d dar timeout)
			}
		} catch (Exception e){
			System.out.println(this.nome+" desconectou.");
		}
	}

}
