package apoio;


public class Conversor {

	    //passamos p 2 bytes p utilizar os bytes mais significativos
	    public int byteArrayToInt(byte[] b, int offset,int numeroBytes) {
			int value = 0;
			for (int i = 0; i < numeroBytes; i++) {
				int shift = (numeroBytes - 1 - i) * 8;
				value += (b[i + offset] & 0x000000FF) << shift;
			}
			return value;
		}

		public byte[] intToByteArray(int value) {
			byte[] b = new byte[4];
			for (int i = 0; i < 4; i++) {
				int offset = (b.length - 1 - i) * 8;
				b[i] = (byte) ((value >> offset) & 0xFF);
			}
			return b;
		}
		
		
		public byte[] ipStringToByte(String nome){
			byte[] retorno = new byte[4];
			nome = nome.replace(".", "#");
			String[] temp = nome.split("#");
			
			for(int i = 0; i<4;i++){
				
				 byte[] temporario = intToByteArray(Integer.parseInt(temp[i])) ;
				 retorno[i] = temporario[3];
			}
						
			
			return retorno;
		}
		
		public String ipByteToString(byte []array,int offset){
			int[] temp = new int[4];
			
			for(int i = 0; i < 4 ;i++){
			temp[i] = byteArrayToInt(array,i+offset , 1);			
			}
			String retorno = temp[0]+"."+temp[1]+"."+temp[2]+"."+temp[3];
			return retorno;
		}
		
		public byte[] stringToByte(String str){
			return str.getBytes();
		}
		
		public String byteToString(byte[] bytes){
			return new String(bytes);
		}
		
		public boolean getFlag(byte flagByte){
			boolean flag;
			flag = ((flagByte & 1) == 1);
			return flag;
		}
		public int getIdArquivo(byte idByte){
			int idArquivo;
			idArquivo = (int)((idByte >>1));
			return idArquivo;
		}
		
		public byte conversaoFlag(boolean flag,int numeroArquivo){
			byte flagByte;
			flagByte = (byte)numeroArquivo;
			flagByte = (byte) (flagByte << 1);
			if(flag){
				flagByte = (byte) (flagByte + 1);
			}
			return flagByte;
		}
		
}
