package pacoteCliente;

import java.io.BufferedReader;
import java.io.IOException;

public class ThreadConexaoEntrada extends Thread {

	private Cliente cliente;
	private BufferedReader entrada;
	private String nome;
	
	public ThreadConexaoEntrada(String nome,Cliente cliente,BufferedReader entrada){
		this.nome = nome;
		this.cliente = cliente;
		this.entrada = entrada;
		start();
	}
	
	public void run(){
		while(true){
			String fraseDeEntrada;
			try {
				fraseDeEntrada = entrada.readLine();
				cliente.imprimirNaTela(this.nome,fraseDeEntrada);
			} catch (IOException e) {
				System.out.println(this.nome+" desconectou.");
				break;
			} 
			
		}
	}
}
