package pacoteCliente;

import java.io.*;

public class ThreadCriarConexaoEntrada extends Thread {

	Cliente cliente;
	String nome;
	BufferedReader entrada;
	
	public ThreadCriarConexaoEntrada(Cliente cliente,String nome,BufferedReader entrada){
		this.cliente = cliente;
		this.nome = nome;
		this.entrada = entrada;
		start();
	}
	
	public void run(){
		
		try {
			//criando um delay para garantir que o objeto 'Conexoes' foi criado
			//e assim ser possivel atribuir uma conexao d entrada a ele.
			synchronized(this){
				wait(300);
			}
			cliente.getRepConexoes().setConexaoEntrada(nome, cliente, entrada);
			join();
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
	}
}
