package pacoteReceberDados;

import apoio.Conversor;


public class Descompactador {
	
	public int getComprimento() {
		return comprimento;
	}


	private Conversor convertendo;
	private int portaFonte;
	private int portaDestino;
	private String ipFonte;
	private String ipDestino;
	private int sequencia;
	private int comprimento;
	private boolean flagIdArquivo;
	private int idArquivo;
	private int tamanhoArquivo;
	private byte [] dados;

	public Descompactador(byte[] pacote) {

		convertendo = new Conversor();
		//this.pacote = pacote;
		this.portaFonte = convertendo.byteArrayToInt(pacote, 0, 2);
		this.portaDestino = convertendo.byteArrayToInt(pacote, 2, 2);
		this.ipFonte = convertendo.ipByteToString(pacote, 4);
		this.ipDestino = convertendo.ipByteToString(pacote, 8);
		this.sequencia = convertendo.byteArrayToInt(pacote, 12, 4);
		this.comprimento = convertendo.byteArrayToInt(pacote, 16, 4);
		this.flagIdArquivo = convertendo.getFlag(pacote[20]);
		this.idArquivo = convertendo.getIdArquivo(pacote[20]);
		this.tamanhoArquivo = convertendo.byteArrayToInt(pacote, 21, 1);
		this.dados = new byte[(pacote.length - 22)];
		System.arraycopy(pacote, 22, dados, 0, (pacote.length - 22));

	}


  public int getTamanhoArquivo() {
		return tamanhoArquivo;
	}


	public void setTamanhoArquivo(int tamanhoArquivo) {
		this.tamanhoArquivo = tamanhoArquivo;
	}


public int getIdArquivo() {
		return idArquivo;
	}


public int getPortaFonte() {
		return portaFonte;
	}


	public int getPortaDestino() {
		return portaDestino;
	}


	public String getIpFonte() {
		return ipFonte;
	}


	public String getIpDestino() {
		return ipDestino;
	}


	public int getSequencia() {
		return sequencia;
	}


	public boolean getFlagIdArquivo() {
		return flagIdArquivo;
	}


	public byte[] getDados() {
		return dados;
	}

}
